=== debian/changelog ===
fckit (0.9.0-6) unstable; urgency=medium

  * Rebuild against eckit >= 1.15.4-1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Jan 2021 22:28:51 +0000

fckit (0.9.0-5) unstable; urgency=medium

  * libfckit-dev requires a Fortran compiler
  * Change python3.x -> python3 in cmake files
  * Drop kernel name  for reproducible builds. Closes: #977641
  * Standards-Version: 4.5.1. No changes required
  * Point homepage to github
  * Add debian/watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2021 11:05:53 +0000

fckit (0.9.0-4) unstable; urgency=medium

  * Patch 32-bit systems to drop broken support for mpi int64 type.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Oct 2020 12:59:20 +0100

fckit (0.9.0-3) unstable; urgency=medium

  * Add d/not-installed for files not installed in binary-all builds.
    Closes: #972451

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Oct 2020 07:51:38 +0100

fckit (0.9.0-2) unstable; urgency=medium

  * Make build reproducible. Closes: #972378
  * Fix cmake scripts to build atlas-ecmwf:
    - change refernences libfckit.so.0d -> libfckit-gfortran.so.0d

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Oct 2020 09:42:30 +0100

fckit (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * Debhelper level 13
  * Add d/gbp.conf to point to DEP-14 branches
  * Change Vcs-Git to point to debian/latest branch
  * Change fckit-util -> libfckit-utils (error in d/control)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Oct 2020 12:23:06 +0100

fckit (0.6.6-1) unstable; urgency=medium

  * Initial release. (Closes: #934365)
  * Compared to first upload:
    - Change libfckit-utils to fckit-utils
    - Acknowledge BSD license of contrib/fypp-* code
    - Change cmake contents to enable atlas, metview to compile
    - Build-Depend on libeckit-dev, not libodb-api-dev, following refactor.
    - patchelf on libraries until SKIP_RPATH is fixed
    - Drop dependency on flang until next flang release
    - Add lintian-overrides files

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 May 2020 10:30:29 +0100
