=== debian/changelog ===
fckit (0.9.3-1build1) impish; urgency=medium

  * Rebuild against new glibc 2.34.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Aug 2021 14:24:32 +0200

fckit (0.9.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Jun 2021 15:18:45 +0100

fckit (0.9.2-2) unstable; urgency=medium

  * FCKIT_INSTALL_PREFIX now fckit_INSTALL_PREFIX in cmake; change d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Mar 2021 19:40:50 +0000

fckit (0.9.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Mar 2021 08:36:09 +0000

fckit (0.9.1-6) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Mar 2021 12:20:36 +0000
