=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
   patchelf,
   ecbuild (>= 3.3.0-2),
   python3-all,
-  libeckit-dev (>= 1.15.4-1),
+  libeckit-dev (>= 1.15.4-1~),
   libssl-dev,
   libcurl4-gnutls-dev
 Standards-Version: 4.5.1
