## fckit 0.9.5

=== src/tests/CMakeLists.txt ===
--- 
+++ 
@@ -103,10 +103,12 @@
   LIBS fckit eckit eckit_mpi )
 
 ### Fix linking for C++ test executables linked with Fortran linker
-if( CMAKE_Fortran_COMPILER_ID MATCHES "PGI" )
+if( CMAKE_Fortran_COMPILER_ID MATCHES "PGI|NVHPC" )
   set( NO_MAIN "-Mnomain" )
 elseif( CMAKE_Fortran_COMPILER_ID MATCHES "Intel" )
   set( NO_MAIN "-nofor-main" )
+elseif( CMAKE_Fortran_COMPILER_ID MATCHES "Fujitsu" )
+  set( NO_MAIN "-mlcmain=main" )
 endif()
 if( NO_MAIN )
   foreach( _test fckit_test_configuration_cpp fckit_test_cpp )
