=== src/tests/test_downstream_fypp/downstream/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 find_package( fckit REQUIRED COMPONENTS ECKIT )
 
-ecbuild_add_library( TARGET downstream SOURCES downstream.fypp downstream_override.fypp LIBS fckit )
+ecbuild_add_library( TARGET downstream SOURCES downstream.fypp downstream_override.fypp PUBLIC_LIBS fckit )
 fckit_target_preprocess_fypp( downstream )
 
 ecbuild_add_executable( TARGET main SOURCES main.F90 LIBS fckit downstream )
