=== debian/changelog ===
fckit (0.9.5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Dec 2021 20:13:05 +0000

fckit (0.9.4-2) unstable; urgency=medium

  * Only build on 64-bit archs as we depend on 64-bit eckit

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Oct 2021 09:06:56 +0100

fckit (0.9.4-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 Aug 2021 09:43:40 +0100
