=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
   libeckit-dev (>= 1.15.4-1~),
   libssl-dev,
   libcurl4-gnutls-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ecmwf/fckit
 Vcs-Browser: https://salsa.debian.org:/mckinstry/fckit.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/fckit.git -b debian/latest
 
 Package: libfckit-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
 Multi-Arch: same
 Depends: libfckit0d (= ${binary:Version}), ${shlib:Depends}, ${misc:Depends},
  gfortran | fortran-compiler
@@ -29,7 +29,7 @@
 
 Package: libfckit0d
 Section: libs
-Architecture: any
+Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Library Fortran toolkit for interoperating Fortran with C/C++
