=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	dh_auto_install --builddirectory=debian/build-gfortran
 	# dh_auto_build --builddirectory=debian/build-flang
 	# Fixup cmake files. Hack. can we do better with patches to upstream ?
-	sed -i -e 's%$${FCKIT_INSTALL_PREFIX}/libexec%/usr/bin%g'        	      $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
+	sed -i -e 's%$${fckit_INSTALL_PREFIX}/libexec%/usr/bin%g'        	      $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
 	sed -i -e 's%${CURDIR}%/build/fckit/%g'     	        	      $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
 	sed -i -e 's%/usr/bin/python %/usr/bin/python3 %g'               	      $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
 	sed -i -e 's%fckit-fypp.py%fckit-fypp%' 		         	      $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
