=== debian/changelog ===
fckit (0.10.0-2) unstable; urgency=medium

  * mips64el may fail on MPI test on build systems; ignore

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Dec 2022 09:53:38 +0000

fckit (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Dec 2022 11:19:07 +0000
