=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
 
 # TODO:
 #   - Flang version doesn't build. 
@@ -23,6 +24,9 @@
 
 BUILD_FLAGS = 
 
+NO_TEST_ARCH:= mips64el 
+DO_TEST:= $(if $(filter $(DEB_TARGET_ARCH), $(NO_TEST_ARCH)), false, true)
+
 %:
 	dh $@ --buildsystem=ecbuild
 
@@ -43,7 +47,7 @@
 #				${BUILD_FLAGS} -DCMAKE_Fortran_COMPILER=/usr/bin/flang
 
 override_dh_auto_test:
-	dh_auto_test --builddirectory=debian/build-gfortran
+	$(DO_TEST) && (dh_auto_test --builddirectory=debian/build-gfortran ) || echo "Ignoring test failures"
 	@echo Skip flang tests for now
 
 override_dh_auto_build:
