## fckit 0.10.1

=== debian/changelog ===
fckit (0.10.1-3) unstable; urgency=medium

  * Rebuild against latest dh-fortran-mod for gfortran-13

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Jun 2023 11:59:24 +0100

fckit (0.10.1-2) unstable; urgency=medium

  * Push to unstable
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 12:00:47 +0100

fckit (0.10.1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 11 Mar 2023 09:31:18 +0000
