## fckit 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 project( fckit LANGUAGES C CXX Fortran )
 
 set(CMAKE_DIRECTORY_LABELS "fckit")
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 ################################################################################################
