=== debian/changelog ===
fckit (0.11.0-1) unstable; urgency=medium

  * New upstream release`

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Aug 2023 13:47:05 +0100
