=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper-compat (= 13), 
   dh-sequence-fortran-mod,
   gfortran | fortran-compiler,
+  flang-15 [amd64 arm64 ppc64 ppc64el riscv64],
   patchelf,
   ecbuild (>= 3.3.0-2),
   python3-all,
