=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,9 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 GFORTRAN_VERSION:=$(shell basename $(shell readlink  /usr/bin/gfortran))
-FLANG_VERSION:=$(shell basename $(shell readlink  /usr/bin/flang))
+# FLANG_VERSION:=$(shell basename $(shell readlink  /usr/bin/flang* | head -1))
+FLANG_VERSION=flang-15
+FLANG_VERSION_NAME=flang-new-15
 
 TMPDIR:=$(CURDIR)/debian/tmp
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
@@ -44,7 +46,7 @@
 	dh_auto_configure --builddirectory=debian/build-gfortran -- \
 			${BUILD_FLAGS} -DCMAKE_Fortran_COMPILER=/usr/bin/gfortran
 	#dh_auto_configure --builddirectory=debian/build-flang -- \
-#				${BUILD_FLAGS} -DCMAKE_Fortran_COMPILER=/usr/bin/flang
+	#			${BUILD_FLAGS} -DCMAKE_Fortran_COMPILER=/usr/bin/${FLANG_VERSION_NAME}
 
 override_dh_auto_test:
 	$(DO_TEST) && (dh_auto_test --builddirectory=debian/build-gfortran ) || echo "Ignoring test failures"
@@ -52,12 +54,11 @@
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=debian/build-gfortran
-        # Fails to build with 201903 flang
 	#dh_auto_build --builddirectory=debian/build-flang
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=debian/build-gfortran
-	# dh_auto_build --builddirectory=debian/build-flang
+	#  dh_auto_build --builddirectory=debian/build-flang
 	# Fixup cmake files. Hack. can we do better with patches to upstream ?
 	sed -i -e 's%$${fckit_INSTALL_PREFIX}/libexec%/usr/bin%g'        	      $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
 	sed -i -e 's%${CURDIR}%/build/fckit/%g'     	        	      $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
